Metadata-Version: 2.4
Name: answering-machine
Version: 0.0.5
Summary: A machine that answers questions.
Author-email: Machina Ratiocinatrix <machina.ratio@gmail.com>
Project-URL: Homepage, https://github.com/answering-machine/answering-machine
Project-URL: Bug Tracker, https://github.com/answering-machine/answering-machine/issues
Keywords: answering-machine
Classifier: Programming Language :: Python :: 3
Classifier: License :: OSI Approved :: MIT License
Classifier: Operating System :: OS Independent
Requires-Python: >=3.10
Description-Content-Type: text/markdown
License-File: LICENSE
Requires-Dist: electroid>=0.0.16
Requires-Dist: PyGithub>=2.6.0
Requires-Dist: PyYAML>=6.0.1
Requires-Dist: urllib3>=2.0.4
Requires-Dist: requests>=2.32.3
Requires-Dist: click>=8.3.0
Dynamic: license-file

# Answering Machine
A machine that answers questions coming through a pipe.
```bash
  echo '[{"role": "user", "content": "I have a question...?"}]' \
    | uvx answering-machine \
        --PROVIDER_API_KEY=sk-ant-api... \
        --GITHUB_TOKEN=ghp_... \
        --mode=single
```
Or:
```bash
  pip install answering-machine
```
Then:
```Python
  # Python
  import answering_machine
```
